Subject: [apps-discuss] Applications Area Directorate Review of draft-ietf-weirds-rdap-query-15

From: Bert Greevenbosch <[email-masked]>
Date: Fri, 17 Oct 2014 09:29:09 +0000

Document: draft-ietf-weirds-rdap-query-15
Title: Registration Data Access Protocol Query Format
Reviewer: Bert Greevenbosch
Review Date: 17 October 2014
IETF Last Call Date: 24 October 2014
IESG Telechat Date: 30 October 2014
Summary: Needs some edits.

Major Issues:

(M1) 3.2.3: "/entities?fn=XXXX where XXXX is a search pattern representing an entity name as specified in Section 6.1 of [I-D.ietf-weirds-json-response]". I couldn't find the definition of entity name in that document. I have the strong feeling that it corresponds to the "fn" element in the jCard. Is this true? Then specify that. (See also comment m1.)

Minor Issues:

(m1) 3.2.3: "Section 6.1 of [I-D.ietf-weirds-json-response]." doesn't exist in draft-ietf-weirds-json-10. I have the feeling that it should be section 5.1. There is another reference in the second line below "/entities?handle=XXXX".

(m2) 3.2.3, last sentence on page 11: "The following URL would be used to find information for entity names matching the "CID-40*" pattern." I think it should be "entity handles", not "entity names".

(m3) Adding an example to section 4.2 "Associated Records" would make it easier to understand what is meant.

Nits:

(n1) 4.1, it would be nice to replace "HTTP 422 [RFC4918]" by "HTTP 422 (Unprocessable Entity) [RFC4918]".

(n2) 6.1, it would be nice to replace "HTTP 400" by "HTTP 400 (Bad Request)".